Bug 1298854 (CVE-2016-1900) - CVE-2016-1900 cgit: Stored Cross Site Scripting & Header Injection in Filename Parameter
Summary: CVE-2016-1900 cgit: Stored Cross Site Scripting & Header Injection in Filenam...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-1900
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160114,repor...
Depends On: 1298855 1298856
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-15 09:36 UTC by Adam Mariš
Modified: 2019-06-08 20:56 UTC (History)
4 users (show)

Fixed In Version: cgit 0.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:47:26 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-01-15 09:36:46 UTC
It was found that user who has write access to the git repository could create filenames containing new lines that would result in that filename, including the newlines, being included in a header, resulting in header injection and eventually XSS.

Upstream patch:

http://git.zx2c4.com/cgit/commit/?id=513b3863d999f91b47d7e9f26710390db55f9463

CVE assignment:

http://openwall.com/lists/oss-security/2016/01/14/6

Comment 1 Adam Mariš 2016-01-15 09:37:18 UTC
Created cgit tracking bugs for this issue:

Affects: fedora-all [bug 1298855]
Affects: epel-all [bug 1298856]

Comment 2 Fedora Update System 2016-01-26 03:19:03 UTC
cgit-0.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-26 18:26:19 UTC
cgit-0.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-01 22:54:40 UTC
cgit-0.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-01 23:24:44 UTC
cgit-0.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:47:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.